/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import Echart from '../components/Echart';import { jsx as _jsx } from "@emotion/react/jsx-runtime";


export default function Histogram(props) {
  const {
    height,
    width,
    echartOptions,
    onFocusedSeries,
    onLegendStateChanged,
    refs
  } = props;

  const eventHandlers = {
    legendselectchanged: (payload) => {
      onLegendStateChanged == null ? void 0 : onLegendStateChanged(payload.selected);
    },
    legendselectall: (payload) => {
      onLegendStateChanged == null ? void 0 : onLegendStateChanged(payload.selected);
    },
    legendinverseselect: (payload) => {
      onLegendStateChanged == null ? void 0 : onLegendStateChanged(payload.selected);
    },
    mouseout: () => {
      onFocusedSeries(undefined);
    },
    mouseover: (params) => {
      onFocusedSeries(params.seriesIndex);
    }
  };

  return (
    _jsx(Echart, {
      refs: refs,
      height: height,
      width: width,
      echartOptions: echartOptions,
      eventHandlers: eventHandlers }
    ));

}
//# sourceMappingURL=Histogram.js.map