/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { PureComponent } from 'react';
import { BigNumberVizProps } from './types';
declare class BigNumberVis extends PureComponent<BigNumberVizProps> {
    static defaultProps: {
        className: string;
        headerFormatter: import("packages/superset-ui-core/src/number-format/NumberFormatter").default;
        formatTime: import("packages/superset-ui-core/src/time-format/TimeFormatter").default;
        headerFontSize: number;
        kickerFontSize: number;
        mainColor: string;
        showTimestamp: boolean;
        showTrendLine: boolean;
        startYAxisAtZero: boolean;
        subheader: string;
        subheaderFontSize: number;
        timeRangeFixed: boolean;
    };
    getClassName(): string;
    createTemporaryContainer(): HTMLDivElement;
    renderFallbackWarning(): import("react").JSX.Element | null;
    renderKicker(maxHeight: number): import("react").JSX.Element | null;
    renderHeader(maxHeight: number): import("react").JSX.Element;
    renderSubheader(maxHeight: number): import("react").JSX.Element | null;
    renderTrendline(maxHeight: number): import("react").JSX.Element | null | undefined;
    render(): import("react").JSX.Element;
}
declare const _default: import("@emotion/styled").StyledComponent<Pick<BigNumberVizProps, "width" | "height" | "formData" | "onContextMenu" | "echartOptions" | "refs" | "xValueFormatter" | "bigNumber" | "bigNumberFallback" | "timestamp" | "trendLineData" | "colorThresholdFormatters"> & {
    headerFontSize?: number | undefined;
    showTimestamp?: boolean | undefined;
    showTrendLine?: boolean | undefined;
    startYAxisAtZero?: boolean | undefined;
    subheader?: string | undefined;
    subheaderFontSize?: number | undefined;
    timeRangeFixed?: boolean | undefined;
    className?: string | undefined;
    headerFormatter?: import("packages/superset-ui-core/src/time-format/TimeFormatter").default | import("@superset-ui/core").ValueFormatter | undefined;
    formatTime?: import("packages/superset-ui-core/src/time-format/TimeFormatter").default | undefined;
    mainColor?: string | undefined;
    kickerFontSize?: number | undefined;
} & {} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {
    ref?: import("react").Ref<BigNumberVis> | undefined;
}>;
export default _default;
//# sourceMappingURL=BigNumberViz.d.ts.map