(function () {var enterModule = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.enterModule : undefined;enterModule && enterModule(module);})();var __signature__ = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.default.signature : function (a) {return a;}; /**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { PureComponent } from 'react';
import {
  t,
  getNumberFormatter,
  getTimeFormatter,
  SMART_DATE_VERBOSE_ID,
  computeMaxFontSize,
  BRAND_COLOR,
  styled } from

'@superset-ui/core';
import Echart from '../components/Echart';import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";



const defaultNumberFormatter = getNumberFormatter();

const PROPORTION = {
  // text size: proportion of the chart container sans trendline
  KICKER: 0.1,
  HEADER: 0.3,
  SUBHEADER: 0.125,
  // trendline size: proportion of the whole chart container
  TRENDLINE: 0.3
};

class BigNumberVis extends PureComponent {















  getClassName() {
    const { className, showTrendLine, bigNumberFallback } = this.props;
    const names = `superset-legacy-chart-big-number ${className} ${
    bigNumberFallback ? 'is-fallback-value' : ''}`;

    if (showTrendLine) return names;
    return `${names} no-trendline`;
  }

  createTemporaryContainer() {
    const container = document.createElement('div');
    container.className = this.getClassName();
    container.style.position = 'absolute'; // so it won't disrupt page layout
    container.style.opacity = '0'; // and not visible
    return container;
  }

  renderFallbackWarning() {
    const { bigNumberFallback, formatTime, showTimestamp } = this.props;
    if (!formatTime || !bigNumberFallback || showTimestamp) return null;
    return (
      _jsx("span", {
        className: "alert alert-warning",
        role: "alert",
        title: t(
          `Last available value seen on %s`,
          formatTime(bigNumberFallback[0])
        ), children:

        t('Not up to date') }
      ));

  }

  renderKicker(maxHeight) {
    const { timestamp, showTimestamp, formatTime, width } = this.props;
    if (
    !formatTime ||
    !showTimestamp ||
    typeof timestamp === 'string' ||
    typeof timestamp === 'boolean')

    return null;

    const text = timestamp === null ? '' : formatTime(timestamp);

    const container = this.createTemporaryContainer();
    document.body.append(container);
    const fontSize = computeMaxFontSize({
      text,
      maxWidth: width,
      maxHeight,
      className: 'kicker',
      container
    });
    container.remove();

    return (
      _jsx("div", {
        className: "kicker",
        style: {
          fontSize,
          height: maxHeight
        }, children:

        text }
      ));

  }

  renderHeader(maxHeight) {
    const { bigNumber, headerFormatter, width, colorThresholdFormatters } =
    this.props;
    // @ts-ignore
    const text = bigNumber === null ? t('No data') : headerFormatter(bigNumber);

    const hasThresholdColorFormatter =
    Array.isArray(colorThresholdFormatters) &&
    colorThresholdFormatters.length > 0;

    let numberColor;
    if (hasThresholdColorFormatter) {
      colorThresholdFormatters.forEach((formatter) => {
        const formatterResult = bigNumber ?
        formatter.getColorFromValue(bigNumber) :
        false;
        if (formatterResult) {
          numberColor = formatterResult;
        }
      });
    } else {
      numberColor = 'black';
    }

    const container = this.createTemporaryContainer();
    document.body.append(container);
    const fontSize = computeMaxFontSize({
      text,
      maxWidth: width - 8, // Decrease 8px for more precise font size
      maxHeight,
      className: 'header-line',
      container
    });
    container.remove();

    const onContextMenu = (e) => {
      if (this.props.onContextMenu) {
        e.preventDefault();
        this.props.onContextMenu(e.nativeEvent.clientX, e.nativeEvent.clientY);
      }
    };

    return (
      _jsx("div", {
        className: "header-line",
        style: {
          fontSize,
          height: maxHeight,
          color: numberColor
        },
        onContextMenu: onContextMenu, children:

        text }
      ));

  }

  renderSubheader(maxHeight) {
    const { bigNumber, subheader, width, bigNumberFallback } = this.props;
    let fontSize = 0;

    const NO_DATA_OR_HASNT_LANDED = t(
      'No data after filtering or data is NULL for the latest time record'
    );
    const NO_DATA = t(
      'Try applying different filters or ensuring your datasource has data'
    );
    let text = subheader;
    if (bigNumber === null) {
      text = bigNumberFallback ? NO_DATA : NO_DATA_OR_HASNT_LANDED;
    }
    if (text) {
      const container = this.createTemporaryContainer();
      document.body.append(container);
      fontSize = computeMaxFontSize({
        text,
        maxWidth: width,
        maxHeight,
        className: 'subheader-line',
        container
      });
      container.remove();

      return (
        _jsx("div", {
          className: "subheader-line",
          style: {
            fontSize,
            height: maxHeight
          }, children:

          text }
        ));

    }
    return null;
  }

  renderTrendline(maxHeight) {
    const { width, trendLineData, echartOptions, refs } = this.props;

    // if can't find any non-null values, no point rendering the trendline
    if (!(trendLineData != null && trendLineData.some((d) => d[1] !== null))) {
      return null;
    }

    const eventHandlers = {
      contextmenu: (eventParams) => {
        if (this.props.onContextMenu) {
          eventParams.event.stop();
          const { data } = eventParams;
          if (data) {var _this$props$formData, _this$props$formData2, _this$props$xValueFor, _this$props;
            const pointerEvent = eventParams.event.event;
            const drillToDetailFilters = [];
            drillToDetailFilters.push({
              col: (_this$props$formData = this.props.formData) == null ? void 0 : _this$props$formData.granularitySqla,
              grain: (_this$props$formData2 = this.props.formData) == null ? void 0 : _this$props$formData2.timeGrainSqla,
              op: '==',
              val: data[0],
              formattedVal: (_this$props$xValueFor = (_this$props = this.props).xValueFormatter) == null ? void 0 : _this$props$xValueFor.call(_this$props, data[0])
            });
            this.props.onContextMenu(
              pointerEvent.clientX,
              pointerEvent.clientY,
              { drillToDetail: drillToDetailFilters }
            );
          }
        }
      }
    };

    return (
      echartOptions &&
      _jsx(Echart, {
        refs: refs,
        width: Math.floor(width),
        height: maxHeight,
        echartOptions: echartOptions,
        eventHandlers: eventHandlers }
      ));


  }

  render() {
    const {
      showTrendLine,
      height,
      kickerFontSize,
      headerFontSize,
      subheaderFontSize
    } = this.props;
    const className = this.getClassName();

    if (showTrendLine) {
      const chartHeight = Math.floor(PROPORTION.TRENDLINE * height);
      const allTextHeight = height - chartHeight;

      return (
        _jsxs("div", { className: className, children: [
          _jsxs("div", { className: "text-container", style: { height: allTextHeight }, children: [
            this.renderFallbackWarning(),
            this.renderKicker(
              Math.ceil(
                (kickerFontSize || 0) * (1 - PROPORTION.TRENDLINE) * height
              )
            ),
            this.renderHeader(
              Math.ceil(headerFontSize * (1 - PROPORTION.TRENDLINE) * height)
            ),
            this.renderSubheader(
              Math.ceil(
                subheaderFontSize * (1 - PROPORTION.TRENDLINE) * height
              )
            )] }
          ),
          this.renderTrendline(chartHeight)] }
        ));

    }

    return (
      _jsxs("div", { className: className, style: { height }, children: [
        this.renderFallbackWarning(),
        this.renderKicker((kickerFontSize || 0) * height),
        this.renderHeader(Math.ceil(headerFontSize * height)),
        this.renderSubheader(Math.ceil(subheaderFontSize * height))] }
      ));

  } // @ts-ignore
  __reactstandin__regenerateByEval(key, code) {// @ts-ignore
    this[key] = eval(code);}}BigNumberVis.defaultProps = { className: '', headerFormatter: defaultNumberFormatter, formatTime: getTimeFormatter(SMART_DATE_VERBOSE_ID), headerFontSize: PROPORTION.HEADER, kickerFontSize: PROPORTION.KICKER, mainColor: BRAND_COLOR, showTimestamp: false, showTrendLine: false, startYAxisAtZero: true, subheader: '', subheaderFontSize: PROPORTION.SUBHEADER, timeRangeFixed: false };const _default =
styled(BigNumberVis)`
  ${({ theme }) => `
    font-family: ${theme.typography.families.sansSerif};
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;

    &.no-trendline .subheader-line {
      padding-bottom: 0.3em;
    }

    .text-container {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
      .alert {
        font-size: ${theme.typography.sizes.s};
        margin: -0.5em 0 0.4em;
        line-height: 1;
        padding: ${theme.gridUnit}px;
        border-radius: ${theme.gridUnit}px;
      }
    }

    .kicker {
      line-height: 1em;
      padding-bottom: 2em;
    }

    .header-line {
      position: relative;
      line-height: 1em;
      white-space: nowrap;
      span {
        position: absolute;
        bottom: 0;
      }
    }

    .subheader-line {
      line-height: 1em;
      padding-bottom: 0;
    }

    &.is-fallback-value {
      .kicker,
      .header-line,
      .subheader-line {
        opacity: ${theme.opacity.mediumHeavy};
      }
    }
  `}
`;export default _default;;(function () {var reactHotLoader = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.default : undefined;if (!reactHotLoader) {return;}reactHotLoader.register(defaultNumberFormatter, "defaultNumberFormatter", "/Users/evan_1/GitHub/superset/superset-frontend/plugins/plugin-chart-echarts/src/BigNumber/BigNumberViz.tsx");reactHotLoader.register(PROPORTION, "PROPORTION", "/Users/evan_1/GitHub/superset/superset-frontend/plugins/plugin-chart-echarts/src/BigNumber/BigNumberViz.tsx");reactHotLoader.register(BigNumberVis, "BigNumberVis", "/Users/evan_1/GitHub/superset/superset-frontend/plugins/plugin-chart-echarts/src/BigNumber/BigNumberViz.tsx");reactHotLoader.register(_default, "default", "/Users/evan_1/GitHub/superset/superset-frontend/plugins/plugin-chart-echarts/src/BigNumber/BigNumberViz.tsx");})();;(function () {var leaveModule = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.leaveModule : undefined;leaveModule && leaveModule(module);})();
//# sourceMappingURL=BigNumberViz.js.map