/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { ValueFormatter } from '@superset-ui/core';
import type { CallbackDataParams } from 'echarts/types/src/util/types';
import { TreeNode } from '../utils/treeBuilder';
import { EchartsSunburstChartProps, EchartsSunburstLabelType, SunburstTransformedProps } from './types';
export declare function getLinearDomain(treeData: TreeNode[], callback: (treeNode: TreeNode) => number): number[];
export declare function formatLabel({ params, labelType, numberFormatter, }: {
    params: CallbackDataParams;
    labelType: EchartsSunburstLabelType;
    numberFormatter: ValueFormatter;
}): string;
export declare function formatTooltip({ params, primaryValueFormatter, secondaryValueFormatter, colorByCategory, totalValue, metricLabel, secondaryMetricLabel, }: {
    params: CallbackDataParams & {
        treePathInfo: {
            name: string;
            dataIndex: number;
            value: number;
        }[];
    };
    primaryValueFormatter: ValueFormatter;
    secondaryValueFormatter: ValueFormatter | undefined;
    colorByCategory: boolean;
    totalValue: number;
    metricLabel: string;
    secondaryMetricLabel?: string;
}): string;
export default function transformProps(chartProps: EchartsSunburstChartProps): SunburstTransformedProps;
//# sourceMappingURL=transformProps.d.ts.map