(function () {var enterModule = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.enterModule : undefined;enterModule && enterModule(module);})();var __signature__ = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.default.signature : function (a) {return a;}; /**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import {


  getTimeFormatter,
  getColumnLabel,
  getNumberFormatter } from
'@superset-ui/core';
import { useCallback } from 'react';
import Echart from '../components/Echart';
import { NULL_STRING } from '../constants';

import { extractTreePathInfo } from './constants';

import { formatSeriesName } from '../utils/series';import { jsx as _jsx } from "@emotion/react/jsx-runtime";

export default function EchartsTreemap({
  echartOptions,
  emitCrossFilters,
  groupby,
  height,
  labelMap,
  onContextMenu,
  refs,
  setDataMask,
  selectedValues,
  width,
  formData,
  coltypeMapping
}) {
  const getCrossFilterDataMask = useCallback(
    (data, treePathInfo) => {
      if (data != null && data.children) {
        return undefined;
      }
      const { treePath } = extractTreePathInfo(treePathInfo);
      const name = treePath.join(',');
      const selected = Object.values(selectedValues);
      let values;
      if (selected.includes(name)) {
        values = selected.filter((v) => v !== name);
      } else {
        values = [name];
      }

      const groupbyValues = values.map((value) => labelMap[value]);

      return {
        dataMask: {
          extraFormData: {
            filters:
            values.length === 0 ?
            [] :
            groupby.map((col, idx) => {
              const val = groupbyValues.map(
                (v) => v[idx]
              );
              if (val === null || val === undefined)
              return {
                col,
                op: 'IS NULL'
              };
              return {
                col,
                op: 'IN',
                val: val
              };
            })
          },
          filterState: {
            value: groupbyValues.length ? groupbyValues : null,
            selectedValues: values.length ? values : null
          }
        },
        isCurrentValueSelected: selected.includes(name)
      };
    },
    [groupby, labelMap, selectedValues]
  );

  const handleChange = useCallback(
    (data, treePathInfo) => {var _getCrossFilterDataMa;
      if (!emitCrossFilters || groupby.length === 0) {
        return;
      }

      const dataMask = (_getCrossFilterDataMa = getCrossFilterDataMask(data, treePathInfo)) == null ? void 0 : _getCrossFilterDataMa.dataMask;
      if (dataMask) {
        setDataMask(dataMask);
      }
    },
    [emitCrossFilters, getCrossFilterDataMask, setDataMask]
  );

  const eventHandlers = {
    click: (props) => {
      const { data, treePathInfo } = props;
      handleChange(data, treePathInfo);
    },
    contextmenu: async (eventParams) => {
      if (onContextMenu) {
        eventParams.event.stop();
        const { data, treePathInfo } = eventParams;
        const { treePath } = extractTreePathInfo(treePathInfo);
        if (treePath.length > 0) {
          const pointerEvent = eventParams.event.event;
          const drillToDetailFilters = [];
          const drillByFilters = [];
          treePath.forEach((path, i) => {
            const val = path === 'null' ? NULL_STRING : path;
            drillToDetailFilters.push({
              col: groupby[i],
              op: '==',
              val,
              formattedVal: path
            });
            drillByFilters.push({
              col: groupby[i],
              op: '==',
              val,
              formattedVal: formatSeriesName(val, {
                timeFormatter: getTimeFormatter(formData.dateFormat),
                numberFormatter: getNumberFormatter(formData.numberFormat),
                coltype: coltypeMapping == null ? void 0 : coltypeMapping[getColumnLabel(groupby[i])]
              })
            });
          });
          onContextMenu(pointerEvent.clientX, pointerEvent.clientY, {
            drillToDetail: drillToDetailFilters,
            crossFilter:
            groupby.length > 0 ?
            getCrossFilterDataMask(data, treePathInfo) :
            undefined,
            drillBy: { filters: drillByFilters, groupbyFieldName: 'groupby' }
          });
        }
      }
    }
  };

  return (
    _jsx(Echart, {
      refs: refs,
      height: height,
      width: width,
      echartOptions: echartOptions,
      eventHandlers: eventHandlers,
      selectedValues: selectedValues }
    ));

}__signature__(EchartsTreemap, "useCallback{getCrossFilterDataMask}\nuseCallback{handleChange}");;(function () {var reactHotLoader = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.default : undefined;if (!reactHotLoader) {return;}reactHotLoader.register(EchartsTreemap, "EchartsTreemap", "/Users/evan_1/GitHub/superset/superset-frontend/plugins/plugin-chart-echarts/src/Treemap/EchartsTreemap.tsx");})();;(function () {var leaveModule = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.leaveModule : undefined;leaveModule && leaveModule(module);})();
//# sourceMappingURL=EchartsTreemap.js.map