/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { JsonValue } from '@superset-ui/core';
import { ReactNode } from 'react';
import { LabelPositionEnum, LegendFormData, TitleFormData } from './types';
export declare const NULL_STRING = "<NULL>";
export declare const TIMESERIES_CONSTANTS: {
    gridOffsetRight: number;
    gridOffsetLeft: number;
    gridOffsetTop: number;
    gridOffsetBottom: number;
    gridOffsetBottomZoomable: number;
    legendRightTopOffset: number;
    legendTopRightOffset: number;
    zoomBottom: number;
    toolboxTop: number;
    toolboxRight: number;
    dataZoomStart: number;
    dataZoomEnd: number;
    yAxisLabelTopOffset: number;
    extraControlsOffset: number;
};
export declare const LABEL_POSITION: [LabelPositionEnum, string][];
export declare enum OpacityEnum {
    Transparent = 0,
    SemiTransparent = 0.3,
    DerivedSeries = 0.7,
    NonTransparent = 1
}
export declare enum StackControlsValue {
    Stack = "Stack",
    Stream = "Stream",
    Expand = "Expand"
}
export declare const StackControlOptions: [
    JsonValue,
    Exclude<ReactNode, null | undefined | boolean>
][];
export declare const AreaChartStackControlOptions: [
    JsonValue,
    Exclude<ReactNode, null | undefined | boolean>
][];
export declare const TIMEGRAIN_TO_TIMESTAMP: {
    PT1H: number;
    P1D: number;
    P1M: number;
    P3M: number;
    P1Y: number;
};
export declare const DEFAULT_LEGEND_FORM_DATA: LegendFormData;
export declare const DEFAULT_TITLE_FORM_DATA: TitleFormData;
export { DEFAULT_FORM_DATA } from './Timeseries/constants';
export declare const TOOLTIP_POINTER_MARGIN = 10;
export declare const TOOLTIP_OVERFLOW_MARGIN = 5;
//# sourceMappingURL=constants.d.ts.map