/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { ContextMenuFilters, DataMask, QueryFormData } from '@superset-ui/core';
import { BaseTransformedProps, CrossFilterTransformedProps, EventHandlers } from '../types';
export type Event = {
    name: string;
    event: {
        stop: () => void;
        event: PointerEvent;
    };
};
export declare const clickEventHandler: (getCrossFilterDataMask: (value: string) => ContextMenuFilters['crossFilter'], setDataMask: (dataMask: DataMask) => void, emitCrossFilters?: boolean) => ({ name }: {
    name: string;
}) => void;
export declare const contextMenuEventHandler: (groupby: (BaseTransformedProps<any> & CrossFilterTransformedProps)['groupby'], onContextMenu: BaseTransformedProps<any>['onContextMenu'], labelMap: Record<string, string[]>, getCrossFilterDataMask: (value: string) => ContextMenuFilters['crossFilter'], formData: QueryFormData, coltypeMapping?: Record<string, number>) => (e: Event) => void;
export declare const allEventHandlers: (transformedProps: BaseTransformedProps<any> & CrossFilterTransformedProps) => EventHandlers;
//# sourceMappingURL=eventHandlers.d.ts.map